Debian Bug report logs - #435702
O: x2x -- Link two X displays together, simulating a multiheaded display

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Romain Francoise <rfrancoise@debian.org>

Date: Thu, 2 Aug 2007 17:24:02 UTC

Severity: normal

Fixed in version x2x/1.30-1

Done: bap@debian.org (Barak A. Pearlmutter)

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#435702; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Romain Francoise <rfrancoise@debian.org>:
New Bug report received and forwarded. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Romain Francoise <rfrancoise@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: O: x2x -- Link two X displays together, simulating a multiheaded display
Date: Thu, 02 Aug 2007 19:22:20 +0200
Package: wnpp
Severity: normal

After getting rid of some old hardware, I longer use x2x so I'm looking
for someone to adopt it.  Upstream is alive and well (and in NM), but
he's also looking to pass development to someone else.

The package description is:
 x2x joins a pair of X displays together, as if they were a single
 multiheaded display.  The pointer can be warped between displays,
 or, depending on how you start x2x, can slide from one display to the
 other when it runs off the edge of the screen.  Keyboard focus also
 moves between displays in the way you'd expect, and the X selection
 propagates around.  At least one of the displays involved (specifically,
 the one being controlled remotely) must support the XTEST extension.
 (The servers shipped by Debian support this.)
 .
 x2x is useful when you have two displays on the same desk, as you can use
 a single keyboard and mouse to control both.  If you want to propagate
 your selections between displays which are not sharing a desk, you might
 be more interested in the package propsel.  Propsel does not link the
 displays' keyboard and mouse, which would be confusing in some cases,
 and can propagate between up to 8 displays, whereas x2x can handle only
 two at a time.



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#435702; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Matthew Johnson <mjj29@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #10 received at 435702@bugs.debian.org (full text, mbox):

From: Matthew Johnson <mjj29@debian.org>
To: 435702@bugs.debian.org, Mikhail Gusarov <dottedmag@dottedmag.net>
Subject: Re: O: x2x -- Link two X displays together, simulating a multiheaded display
Date: Thu, 13 Dec 2007 09:48:18 +0000
[Message part 1 (text/plain, inline)]
I use x2x on occasion and would like to see it maintained. I could adopt
it myself, but if Mikhail would like to maintain it, that's even better,
and I will happily sponsor.

Mikhail: is there a more recent upstream release than the one in Debian?

Matt

-- 
Matthew Johnson
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#435702; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Ralf Treinen <Ralf.Treinen@pps.jussieu.fr>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #15 received at 435702@bugs.debian.org (full text, mbox):

From: Ralf Treinen <Ralf.Treinen@pps.jussieu.fr>
To: Matthew Johnson <mjj29@debian.org>, 435702@bugs.debian.org
Subject: x2x debian package
Date: Sat, 23 Aug 2008 12:01:18 +0200
Hello,

you announced on Dec 13, 2007, interest to adopt the x2x package. Are
you still intending to do so? There are quite some open bugs against x2x
that would require a caring maintainer. I could easily do a QA upload
for #485530 but it would obviously be better if someone who uses that
package adopts it.

http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=274451

Best Regards -Ralf
-- 
Ralf Treinen
Laboratoire Preuves, Programmes et Systèmes
Université Paris Diderot, Paris, France.
http://www.pps.jussieu.fr/~treinen/




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#435702; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Matthew Johnson <mjj29@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #20 received at 435702@bugs.debian.org (full text, mbox):

From: Matthew Johnson <mjj29@debian.org>
To: Ralf Treinen <Ralf.Treinen@pps.jussieu.fr>
Cc: 435702@bugs.debian.org
Subject: Re: x2x debian package
Date: Sun, 24 Aug 2008 13:48:17 +0100
[Message part 1 (text/plain, inline)]
On Sat Aug 23 12:01, Ralf Treinen wrote:
> 
> you announced on Dec 13, 2007, interest to adopt the x2x package. Are
> you still intending to do so? There are quite some open bugs against x2x
> that would require a caring maintainer. I could easily do a QA upload
> for #485530 but it would obviously be better if someone who uses that
> package adopts it.
> 
> http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=274451

Hi, I've had a look over the outstanding bugs and while I do use x2x
occasionally, I don't think there's many I could fix. The new upstream
release looks flakey too. So I don't think I'd be able to do much if I
did adopt.

That FTBFS claims to be a post-lenny problem, so there's no rush, but
feel free to do a QA upload now anyway.

Matt

-- 
Matthew Johnson
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#435702; Package wnpp. (Sat, 29 Dec 2012 13:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Barak A. Pearlmutter" <barak@cs.nuim.ie>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sat, 29 Dec 2012 13:00:03 GMT) Full text and rfc822 format available.

Message #25 received at 435702@bugs.debian.org (full text, mbox):

From: "Barak A. Pearlmutter" <barak@cs.nuim.ie>
To: 435702@bugs.debian.org
Subject: adopt
Date: Sat, 29 Dec 2012 12:42:52 +0000
If no one else wants it, I can adopt this package.  I would plan to
integrate available sensible upstream mods (see
git://github.com/barak/x2x branch master for a kitchen sink merge) and
update the packaging.

					--Barak.
--
Barak A. Pearlmutter <barak@cs.nuim.ie>
 Hamilton Institute & Dept Comp Sci, NUI Maynooth, Co. Kildare, Ireland
 http://www.bcl.hamilton.ie/~barak/



Reply sent to bap@debian.org (Barak A. Pearlmutter):
You have taken responsibility. (Mon, 14 Jan 2013 23:36:05 GMT) Full text and rfc822 format available.

Notification sent to Romain Francoise <rfrancoise@debian.org>:
Bug acknowledged by developer. (Mon, 14 Jan 2013 23:36:05 GMT) Full text and rfc822 format available.

Message #30 received at 435702-close@bugs.debian.org (full text, mbox):

From: bap@debian.org (Barak A. Pearlmutter)
To: 435702-close@bugs.debian.org
Subject: Bug#435702: fixed in x2x 1.30-1
Date: Mon, 14 Jan 2013 23:33:02 +0000
Source: x2x
Source-Version: 1.30-1

We believe that the bug you reported is fixed in the latest version of
x2x, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 435702@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Barak A. Pearlmutter <bap@debian.org> (supplier of updated x2x package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 29 Dec 2012 08:30:20 +0100
Source: x2x
Binary: x2x
Architecture: source amd64
Version: 1.30-1
Distribution: unstable
Urgency: low
Maintainer: Barak A. Pearlmutter <bap@debian.org>
Changed-By: Barak A. Pearlmutter <bap@debian.org>
Description: 
 x2x        - Link two X displays together, simulating a multiheaded display
Closes: 421279 435702 438943 500147 695167
Changes: 
 x2x (1.30-1) unstable; urgency=low
 .
   * Adopt package (closes: #435702)
   * New upstream release (closes: #438943)
     - Contains dpms patch (closes: #421279)
   * Update packaging:
     - remove mention of propsel from description (closes: #500147, #695167)
     - new upstream home page and repository
     - upstream has autoconf/automake, switch to use it
     - dh9, harden
     - bump standards version
Checksums-Sha1: 
 792cb54e8c20bf48d854e15bc1d83ef23335babd 1187 x2x_1.30-1.dsc
 6620019019265c4bfe0575af1cb445ae2979b440 44838 x2x_1.30.orig.tar.gz
 f64b94d3a02062b7edbff7e8946f9a87465d3d5d 4818 x2x_1.30-1.debian.tar.gz
 2386053150edd94a77323ac5b54c1fb67cf15e36 31268 x2x_1.30-1_amd64.deb
Checksums-Sha256: 
 346bd851e137b25ffeb4c7e56257567f6836187f0cc0e673944bc56d5ed28ff8 1187 x2x_1.30-1.dsc
 21758dfe5835982ab243720654a265cd4462e937bcd72f690c740dad7c06d6d3 44838 x2x_1.30.orig.tar.gz
 31ba23242545f18e4d0b5742c1f013ee53c468424fd103da9545d74a3fc8c60b 4818 x2x_1.30-1.debian.tar.gz
 b7d03ca5a12fccc1264c5d4b8288b315dd280a53eca44af0221b37f6c3dc836c 31268 x2x_1.30-1_amd64.deb
Files: 
 b926c16ef9a708ea3f04d38e2e7e7078 1187 x11 optional x2x_1.30-1.dsc
 d19d2254de8bdfc25fe94ce62babb878 44838 x11 optional x2x_1.30.orig.tar.gz
 2e0c9f43e9958793da1803498af7c7ba 4818 x11 optional x2x_1.30-1.debian.tar.gz
 94bd12325c3b575288ceb09227f74ce4 31268 x11 optional x2x_1.30-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAlD0krEACgkQLz4Gnv7CP7KH+wCfYtFKlHhOU/Ev0kOy3DxWZVZE
kvAAoMHfWdueVtEWBy4w9t/WB8g4ooSh
=2MpW
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 12 Feb 2013 07:25:39 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 20:28:53 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.